[package]
name        = "maraiah-tycho"
version     = "0.1.0"
authors     = ["Alison Sanderson <marrub@greyserv.net>"]
description = "Tycho map editor."

edition = "2018"
build   = "build.rs"

[dependencies]
maraiah = {path = "../.."}

# note: these have to be updated all at once, check the gtk crate for versions
atk          = "0.6"
cairo-rs     = "0.6"
cairo-sys-rs = "0.8"
gdk          = "0.10"
gdk-pixbuf   = "0.6"
gio          = "0.6"
gio-sys      = "0.8"
glib         = "0.7"
glib-sys     = "0.8"
gobject-sys  = "0.8"
gtk          = {version = "0.6", features = ["v3_16"]}
gtk-sys      = "0.8"
pango        = "0.6"
pango-sys    = "0.8"

[[bin]]
name = "tycho"
path = "main.rs"
